#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module		amqp
%define		pypi_name	amqp
Summary:	AMQP 0.9.1 client library
Summary(pl.UTF-8):	Biblioteka kliencka AMQP 0.9.1
Name:		python-%{module}
# keep 2.x here for python2 support
Version:	2.6.1
Release:	2
License:	BSD
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/a/amqp/%{module}-%{version}.tar.gz
# Source0-md5:	c8cf9c75d7cd2e747fa49f3e3c47b3b1
URL:		https://amqp.readthedocs.io/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools >= 20.6.7
%if %{with tests}
BuildRequires:	python-case >= 1.3.1
BuildRequires:	python-pytest >= 3.0
BuildRequires:	python-pytest-rerunfailures >= 6.0
BuildRequires:	python-vine >= 1.1.3
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools >= 20.6.7
%if %{with tests}
BuildRequires:	python3-case >= 1.3.1
BuildRequires:	python3-pytest >= 3.0
BuildRequires:	python3-pytest-rerunfailures >= 6.0
BuildRequires:	python3-vine >= 1.1.3
BuildRequires:	python3-vine < 5
%endif
%endif
%if %{with doc}
BuildRequires:	python-sphinx_celery >= 1.4.6
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a fork of amqplib which was originally written by Barry
Pederson. It is maintained by the Celery project, and used by kombu as
a pure python alternative when librabbitmq is not available.

This library should be API compatible with librabbitmq.

%description -l pl.UTF-8
Ten projekt to odgałęzienie amqplib, pierwotnie napisane przez
Barry'ego Pedersona. Jest utrzymywane przez projekt Celery i używane
przez kombu jako czysto pythonowa alternatywa dla librabbitmq, jeśli
ta nie jest dostępna.

Biblioteka powinna być zgodna co do API z librabbitmq.

%package -n python3-%{module}
Summary:	AMQP 0.9.1 client library
Summary(pl.UTF-8):	Biblioteka kliencka AMQP 0.9.1
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
This is a fork of amqplib which was originally written by Barry
Pederson. It is maintained by the Celery project, and used by kombu as
a pure python alternative when librabbitmq is not available.

This library should be API compatible with librabbitmq.

%description -n python3-%{module} -l pl.UTF-8
Ten projekt to odgałęzienie amqplib, pierwotnie napisane przez
Barry'ego Pedersona. Jest utrzymywane przez projekt Celery i używane
przez kombu jako czysto pythonowa alternatywa dla librabbitmq, jeśli
ta nie jest dostępna.

Biblioteka powinna być zgodna co do API z librabbitmq.

%package apidocs
Summary:	API documentation for amqp module
Summary(pl.UTF-8):	Dokumentacja API modułu amqp
Group:		Documentation
Obsoletes:	python3-amqp-apidocs < 2.6.1

%description apidocs
API documentation for amqp module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu amqp.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="case.pytest" \
%{__python} -m pytest t/unit
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="case.pytest" \
%{__python3} -m pytest t/unit
%endif
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc Changelog LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc Changelog LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,reference,*.html,*.js}
%endif
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-amqp.git;a=log;h=master

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 0c80f3f
- release 2 (by relup.sh)

* Fri Feb 05 2021 Jakub Bogusz <qboosh@pld-linux.org> ff85666
- updated to 2.6.1, added pl, apidocs and tests
- build docs with python2 as python3-vine 5.x is not supported here

* Mon Feb 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> cf32297
- up to 2.5.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 84b3e0f
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 26 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 7f5a6c0
- Version: 2.3.2

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a7236a8
- python 3.7 rebuild
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f3a3684
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 12 2016 Elan Ruusamäe <glen@delfi.ee> d2014c6
- use pythonhosted url

* Wed Oct 12 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> ca6287a
- Version: 1.4.9

* Wed Oct 12 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> c70bb7e
- Version: 2.0.2, disable api docs

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 8df16ed
- fix apidocs build

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> e12741f
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> df9f8d5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> adf209f
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1475cc8
- automatic change: use py_build/py_install macros

* Tue Nov 17 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 75260ea
- Release: 1

* Mon Nov 16 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> cc86402
- new package

